import {Component, Input} from '@angular/core';
import {Button} from 'primeng/button';
import {CardModule} from 'primeng/card';
import {DatePipe} from '@angular/common';
import {RouterLink} from '@angular/router';

@Component({
  selector: 'app-post-home',
  standalone: true,
  imports: [
    Button,
    CardModule,
    DatePipe,
    RouterLink
  ],
  templateUrl: './post-home.component.html',
  styleUrl: './post-home.component.css'
})
export class PostHomeComponent {
  @Input() postId: bigint = BigInt(0);
  @Input() title: string = '';
  @Input() illustration: string = '';
  @Input() category: string = '';
  @Input() date: Date | undefined;
  @Input() description: string = '';
  @Input() username: string = '';
  @Input() avatar: string = '';

  constructor() {}
}
